- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_UIOP_Endpoint Class Reference

TAO_UIOP_Endpoint. More...

`#include <UIOP_Endpoint.h>`

Inheritance diagram for TAO_UIOP_Endpoint:

[legend]
Collaboration diagram for TAO_UIOP_Endpoint:

[legend]
List of all members.

## Public Member Functions
| TAO_UIOP_Endpoint (void)
| Default constructor.
| TAO_UIOP_Endpoint (const ACE_UNIX_Addr &addr, CORBA::Short priority=TAO_INVALID_PRIORITY)
| Constructor.
| ~TAO_UIOP_Endpoint (void)
| Destructor.
const ACE_UNIX_Addr & | object_addr (void) const
| Return a reference to the <object_addr>.
const char * | rendezvous_point (void) const
TAO_Endpoint Methods
Please check the documentation in Endpoint.h for details.
virtual TAO_Endpoint * | next (void)
virtual int | addr_to_string (char *buffer, size_t length)
virtual TAO_Endpoint * | duplicate (void)
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
virtual CORBA::ULong | hash (void)
| Return a hash value for this object.
## Private Attributes
ACE_UNIX_Addr | object_addr_
TAO_UIOP_Endpoint * | next_
## Friends
class | TAO_UIOP_Profile

## Detailed Description

TAO_UIOP_Endpoint.

UIOP-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_UIOP_Endpoint::TAO_UIOP_Endpoint | ( | void |  | ) |

Default constructor.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_UIOP_Endpoint::TAO_UIOP_Endpoint | ( | const ACE_UNIX_Addr & | addr,
|  | CORBA::Short | priority = `TAO_INVALID_PRIORITY` |
| ) |  |  |

Constructor.

TAO_UIOP_Endpoint::~TAO_UIOP_Endpoint | ( | void |  | ) |

Destructor.

## Member Function Documentation

int TAO_UIOP_Endpoint::addr_to_string | ( | char * | buffer,
|  | size_t | length |
| ) |  |  | `[virtual]`

Implements TAO_Endpoint.

TAO_Endpoint * TAO_UIOP_Endpoint::duplicate | ( | void |  | ) | `[virtual]`

Implements TAO_Endpoint.

CORBA::ULong TAO_UIOP_Endpoint::hash | ( | void |  | ) | `[virtual]`

Return a hash value for this object.

Implements TAO_Endpoint.

CORBA::Boolean TAO_UIOP_Endpoint::is_equivalent | ( | const TAO_Endpoint * | other_endpoint | ) | `[virtual]`

Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their rendezvous points are the same.

Implements TAO_Endpoint.

TAO_Endpoint * TAO_UIOP_Endpoint::next | ( | void |  | ) | `[virtual]`

Implements TAO_Endpoint.

const ACE_UNIX_Addr& TAO_UIOP_Endpoint::object_addr | ( | void |  | ) | const

Return a reference to the <object_addr>.

const char* TAO_UIOP_Endpoint::rendezvous_point | ( | void |  | ) | const

Return a pointer to the rendezvous point string. This object maintains ownership of the returned string.

## Friends And Related Function Documentation

friend class TAO_UIOP_Profile`[friend]`

## Member Data Documentation

TAO_UIOP_Endpoint* TAO_UIOP_Endpoint::next_`[private]`

UIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_UNIX_Addr TAO_UIOP_Endpoint::object_addr_`[private]`

Cached instance of <ACE_UNIX_Addr> for use in making invocations, etc.

The documentation for this class was generated from the following files:

- UIOP_Endpoint.h
- UIOP_Endpoint.cpp